#
# spec file for package elx-be2net (Version 2.102.348.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           elx-be2net
BuildRequires:  kernel-source kernel-syms
License:        GPL
Group:          System/Kernel
Summary:        ServerEngines BladeEngine 2 NIC Driver 
Version:        2.102.348.0
Release:        0
Source0:        elx-be2net-%{version}.tar.bz2
Source1:        Module.supported
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define builddir	%{name}-%{version}
%suse_kernel_module_package kdump ec2 um

%description
This package contains the Linux driver for the 10Gb NIC function of ServerEngines BladeEngine 2

%package KMP

Summary:        10Gb NIC Driver ServerEngines driver for BladeEngine 2
Group:          System/Kernel

%description KMP
ServerEngines 10Gb NIC Driver for BladeEngine 2

%prep
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
            M=$PWD/obj/$flavor 
done

%changelog
* Mon Jun 14 2010 - poswald@novell.com
-Updated to be2net v2.102.348.0
